API DocumentationManufacturer production step controller

Get production steps by build IDs

GET
/api/manufacturer/v1/production-step/build-ids

Retrieves production steps associated with the specified build IDs

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Query Parameters

buildIds*array<string>

Set of build IDs to retrieve steps for

Response Body

Production steps retrieved successfully

application/json
  1. response
[index: integer]?
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/production-step/build-ids?buildIds=string'
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "groupId": "string",    "prefix": "string",    "type": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "operationName": "string",    "manufacturerUsername": "string",    "actorType": "string",    "isCompleted": true,    "hasNestingPlacements": true,    "completedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z",    "updateDt": "2019-08-24T14:15:22Z",    "productionStatusName": "string",    "productionStatusId": "44fdd4cb-6f56-49be-a233-2672a65887f7"  }]